package com.zhentao.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @TableName course
 */
@TableName(value ="course")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Course implements Serializable {
    private Integer courseId;

    private String courseName;

    private String courseDescription;

    private Integer courseCategory;

    private Integer instructorId;

    private String courseCover;

    private BigDecimal coursePrice;

    private Integer courseDuration;

    private Date createTime;

    private Date updateTime;

    private Object courseStatus;

    private Integer studyNum;

    private Integer isFree;

    private Integer recommendIndex;

    private String courseOutline;

    private static final long serialVersionUID = 1L;
}
